### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceDeploymentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.deployment.ServiceDeploymentException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class ServiceDeploymentException extends ServiceException
Exception used to represent a failure to deploy a service.

Use `getDeployedServices()` to obtain a list of services which were successfully deployed before the failure occurred.

Use `getDeployedRemoteDiscoveryServices()` to obtain a list of remote discovery services which were successfully located before the failure occurred.

Since:
  9.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceDeploymentException(Exception cause, String message, List<RemoteServiceInterface> deployedServices, List<FindServiceInterface> deployedRemoteDiscoveryServices)`
  Creates a service deployment exception for the specified cause, metadata source, and the list of services which were successfully deployed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<FindServiceInterface>`
  `getDeployedRemoteDiscoveryServices()`
  Gets a copy of a list of the remote discovery services which were successfully located.
  `List<RemoteServiceInterface>`
  `getDeployedServices()`
  Gets a copy of a list of the services which were successfully deployed.

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceDeploymentException

    public ServiceDeploymentException(Exception cause, String message, List<RemoteServiceInterface> deployedServices, List<FindServiceInterface> deployedRemoteDiscoveryServices)
    Creates a service deployment exception for the specified cause, metadata source, and the list of services which were successfully deployed.
    Parameters:
      `cause` - The reason a service failed to deploy.
      `message` - Message that describes the exception.
      `deployedServices` - The list of `services` which were successfully deployed or `null` if no services were successfully deployed.
      `deployedRemoteDiscoveryServices` - The list of remote discovery `services` which were successfully located or `null` if no discovery services were looked up.

- ## Method Details

  - ### getDeployedServices

    public List<RemoteServiceInterface> getDeployedServices()
    Gets a copy of a list of the services which were successfully deployed.
    Returns:
      Copy of the list of the `services` which were successfully deployed.

  - ### getDeployedRemoteDiscoveryServices

    public List<FindServiceInterface> getDeployedRemoteDiscoveryServices()
    Gets a copy of a list of the remote discovery services which were successfully located.
    Returns:
      Copy of the list of the remote discovery `services` which were successfully located.